
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>jsp中Action使用session方法实例分析_JSP编程 / iVAN</title>

    <meta name="description" content="jsp中Action使用session方法实例分析_JSP编程 本文实例分析了jsp中Action使用session方法.分享给大家供大家参考.具体如下: 在Struts2里,如果需要在Action中使用session,可以通过下面两种方式得到   1.通过ActionContext class中的方法getSession得到   2.Action实现org.apache.struts2.interceptor.SessionAware接口的方式来对session进行操作   下面先看一个采用第一种方式,在action中得到session的例子   复制代码">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">jsp中Action使用session方法实例分析_JSP编程</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>本文实例分析了jsp中Action使用session方法。分享给大家供大家参考。具体如下：</p>
<p>在Struts2里，如果需要在Action中使用session，可以通过下面两种方式得到  </p>
<p>1.通过ActionContext class中的方法getSession得到  </p>
<p>2.Action实现org.apache.struts2.interceptor.SessionAware接口的方式来对session进行操作  </p>
<p>下面先看一个采用第一种方式，在action中得到session的例子  </p>
<p><u>复制代码</u> 代码如下:</p>
<p>package s2.ex.action;<br />
import java.util.Map;<br />
import com.opensymphony.xwork2.ActionContext;<br />
import com.opensymphony.xwork2.ActionSupport;<br />
public class SessionTestActionextends ActionSupport {<br />
    public String execute() {<br />
       ActionContext actionContext = ActionContext.getContext();<br />
        Map session = actionContext.getSession();<br />
        session.put("USER_NAME","Test User");<br />
        return SUCCESS;<br />
    }<br />
}</p>
<p>在这个例子中，通过ActionContext得到session，并往session里放置一个key为USER_NAME，值为Test User的内容。</p>
<p>下面是一个实现org.apache.struts2.interceptor.SessionAware接口来对session操作的例子  </p>
<p><u>复制代码</u> 代码如下:</p>
<p>package s2.ex.action;<br />
import java.util.Map;<br />
import org.apache.struts2.interceptor.SessionAware;<br />
import com.opensymphony.xwork2.ActionSupport;  <br />
public class SessionTest1Action extends ActionSupport implements SessionAware {<br />
    private Map session;<br />
    publicvoid setSession(Map session) {<br />
        this.session = session;<br />
    }<br />
    public String execute() {<br />
        this.session.put("USER_NAME","Test User 1");<br />
        return SUCCESS;<br />
    }<br />
}</p>
<p>在这个例子中实现了接口SessionAware中的setSession方法。</p>
<p>上面两种方式都可以得到session，能实现的功能都是一样的。</p>
<p>这里推荐通过第二种方式来使用session，原因是便于做单体测试，用第二种方式，只需要构造一个Map就可以对actionclass进行单体测试了。</p>
<p>在一个项目中可能会有很多action都需要用到session，如果每个action都来实现 org.apache.struts2.interceptor.SessionAware这个接口，可能会显得比较麻烦，所以建议作一个抽象的 BaseAction类来实现org.apache.struts2.interceptor.SessionAware接口，以后所有的action只要继承这个BaseAction就可以了。</p>
<p>下面是一个如何在JSP中使用session的例子。  </p>
<p><u>复制代码</u> 代码如下:</p>
<p>&lt;%@ page contentType="text/html; charset=UTF-8" %&gt;<br />
&lt;%@page pageEncoding="utf-8" %&gt;<br />
&lt;%@taglib prefix="s" uri="/struts-tags" %&gt;<br />
&lt;html&gt;<br />
&lt;head&gt;<br />
&lt;title&gt;Session Test&lt;/title&gt;<br />
&lt;/head&gt;<br />
&lt;body&gt;<br />
    &lt;h1&gt;&lt;s:property value="#session.USER_NAME"/&gt;&lt;/h1&gt;<br />
&lt;/body&gt;<br />
&lt;/html&gt;</p>
<p>一般在项目中往往会往session里放置一个Object，必如说user，user里有个booleanadmin和String userName，如果user里存在isAdmin的方法，在jsp中可以通过&lt;s:iftest="#session.user.admin"&gt;来判断用户有没有管理权限，通过&lt;s:property value="#session.user.userName"&gt;或者来取得用户名。</p>
<p>希望本文所述对大家的jsp程序设计有所帮助。</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-19 00:46:23</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/%e6%96%b9%e6%b3%95/" title="方法">方法</a>, <a href="https://www.iamivan.net/tag/action/" title="action">action</a>, <a href="https://www.iamivan.net/tag/session/" title="session">session</a>, <a href="https://www.iamivan.net/tag/jsp/" title="jsp">jsp</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>jsp中Action使用session方法实例分析_JSP编程的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/p8RwVob.html" rel="bookmark">jsp中定义和使用方法示例介绍&lowbar;JSP编程</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				在jsp中,如果需要处理复杂数据时,在上方定义一个java方法是很有效的解决方案,把处理数据的责任推给该方法,然后该jsp页面的主流程就不受影响.当然也可以使用js定义方法来处理,js似乎更善于定义这样的方法来处理前台数据,但有时候jsp和js之间倒腾数据时会出乱码或者报一些找不到对象的错误,因此他们之间的互相传值还是越少越好. 看一看jsp中定义一个字符串处理的方法: 复制代码 代码如下: &lt;%! String splitString(String str, int a) { if (str			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MvYYaNb.html" rel="bookmark">JSP针对XML文件操作技巧实例分析&lowbar;JSP编程</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本文实例讲述了JSP针对XML文件操作技巧.分享给大家供大家参考,具体如下: XML(Extensible Markup   Language)可扩展标记语言,这个基础知识在早些已经学习过.而这篇教程为什么把它放在J2EE下边呢,因为他也是J2EE的13规范之一,虽然XML是W3C万维网组织联盟指定的,并做了规范,所以说也是一种规范,我们也必须按照规范来,和JDBC,Servlet,Jsp,Ejb等一样的. 前边的文章已经介绍了XML的一些基础知识,主要是用来存储,传输数据的,但是这些数据我们怎			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/baaj5Nb.html" rel="bookmark">JSP自定义标签rtexprvalue属性用法实例分析&lowbar;JSP编程</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本文实例讲述了JSP自定义标签rtexprvalue属性.分享给大家供大家参考.具体如下: 其实以前也有写过自定义标签, 但是没有注意到过&lt;rtexprvalue&gt;的用法, 最近这几天又用上自定义标签了, 突然发现&lt;rtexprvalue&gt;的用法是有讲究的. rtexprvalue的全称是 Run-time Expression Value, 它用于表示是否可以使用JSP表达式. 当在&lt;attribute&gt;标签里指定&lt;rtexprvalue&gt;true&lt;			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pk7q17p.html" rel="bookmark">jsp编程中session的用法实例分析&lowbar;JSP编程</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本文实例讲述了jsp编程中session的用法.分享给大家供大家参考,具体如下: TTP协议是无状态的,即信息无法通过HTTP协议本身进传递.为了跟踪用户的操作状态,ASP应用SESSION对象.JSP使用一个叫HttpSession的对象实现同样的功能.HTTPSession 是一个建立在cookies 和URL-rewriting上的高质量的界面.Session的信息保存在服务器端,Session的id保存在客户机的cookie中.事实上,在许多服务器上,如果浏览器支持的话它们就使用cook			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pn4WRAb.html" rel="bookmark">JSP中param标签用法实例分析&lowbar;JSP编程</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本文实例分析了JSP中param标签用法.分享给大家供大家参考,具体如下: Jsp中param标签的使用 &lt;jsp:param&gt;操作被用来以&quot;名-值&quot;对的形式为其他标签提供附加信息.它和&lt;jsp:include&gt;.&lt;jsp:forward&gt;.&lt;jsp:plugin&gt;一起使用,方法如下: 复制代码 代码如下: &lt;jsp:param name=&quot;paramName&quot; value=&quot;paramValue&qu			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zZKjw4b.html" rel="bookmark">JSP中c&colon;foreach遍历和s&colon;iterator遍历异同实例分析&lowbar;JSP编程</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本文实例分析了JSP中c:foreach遍历和s:iterator遍历的异同.分享给大家供大家参考.具体如下: ①jstl c:foreach 首先我们来看一个普通的servlet: import com.xy.entity.Board; import com.xy.entity.Topic; import com.xy.entity.User; public class ToMainAction extends HttpServlet { private IBoarderDao boardDa			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bQPZvOz.html" rel="bookmark">python中base64加密解密方法实例分析</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				  本文实例讲述了python中base64加密解密方法.分享给大家供大家参考.具体分析如下: 一.base64 Base64是一种基于64个可打印字符来表示二进制数据的表示方法.由于2的6次方等于64,所以每6个比特为一个单元,对应某个可打印字符.三个字节有24个比特,对应于4个Base64单元,即3个字节需要用4个可打印字符来表示.它可用来作为电子邮件的传输编码.在Base64中的可打印字符包括字母A-Z.a-z.数字0-9 ,这样共有62个字符,此外两个可打印符号在不同的系统中而不同.编码			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bo3XBXb.html" rel="bookmark">JSP页面文件中base标记用法实例分析&lowbar;JSP编程</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本文实例分析了JSP页面文件中base标记用法.分享给大家供大家参考,具体如下: 我们在用IDE工具生成JSP页面时通常都包含下面的两段代码, &lt;% String path = request.getContextPath(); String basePath = request.getScheme()+&quot;://&quot;+request.getServerName()+&quot;:&quot;+request.getServerPort()+path+&quot;/&quot;; %			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MW1v0nz.html" rel="bookmark">C&plus;&plus;中COM组件初始化方法实例分析</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				  本文实例讲述了C++中COM组件初始化方法.分享给大家供大家参考.具体如下: 这里使用BCB 在使用TADOConnect等组件时需要进行初始化 调用接口 : ? 1 2 CoInitialize(NULL);//初始化COM套件 CoUninitialize();//释放COM套件 在DLL入口中调用: ? 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 static bool isCoInitialize = false; //是否是自己进行的初始化 int WI			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/YbKY3Wp.html" rel="bookmark" class="title">图片-今天打开eclipse，就出现这种情况，请大神指点！！！</a>
					<div>
						问题描述 今天打开eclipse,就出现这种情况,请大神指点!!! 解决方案 首先,不建议安装到中文目录下.可能是这2种情况导致的: 1.环境变量没配置2.eclipse和jdk版本位数不一致要同是3 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pm72LDb.html" rel="bookmark" class="title">内部排序：冒泡排序和选择排序</a>
					<div>
						前言 之所以把冒泡排序和选择排序放在一起,是因为二者的实现代码很相似,而且都是最基本的排序方式,非常容易理解和实现.当然,如果仅仅是为了讲述这两种排序方式,那也根本没必要写这篇博文了.和上篇博文一样, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5ANqRp.html" rel="bookmark" class="title">基于协议类型的本地策略路由配置实验</a>
					<div>
						[拓扑及所用软件] 本文实验采用的交换机是H3C模拟器,下载地址如下:http://forum.h3c.com/forum.php? mod=viewthread&amp;tid=109740&amp ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bo6djEz.html" rel="bookmark" class="title">Android对话框</a>
					<div>
						项目源码下载 https://github.com/Wang-Jun-Chao/AndroidProjects 对话框 确定取消对话框 创建对话框构建器对象,类似工厂模式 AlertDialog.Bu ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M0PYKJM.html" rel="bookmark" class="title">用ARWizard录制自己的音乐专集</a>
					<div>
						用ARW录制自己的专集,没事偷着乐 歌声不错,有想过出专集没?闲暇之时,用个小软件自己录制自己的专集,没事偷着乐.今天小编为大家推荐一款实时录音软件-ARWizard,它几乎可以迹近完美地录制下凡是经 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MrKAZmp.html" rel="bookmark" class="title">Integration Services：数据流任务（下）</a>
					<div>
						前一篇文章Integration Services:数据流任务(上),介绍了如何创建一个简单的ETL包,如何通过一个简单的数据流任务,将一个文本文件的数据导入到数据库中去.这些数据都保持了它原有的本色 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MxP32PM.html" rel="bookmark" class="title">安卓客户端获取手机号码代码实例</a>
					<div>
						 //创建电话管理 TelephonyManager tm = (TelephonyManager) //与手机建立连接 StartActivity.this.getSystemService(Con ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zwlEYdb.html" rel="bookmark" class="title">PHP下打开phpMyAdmin出现403错误</a>
					<div>
						 安装完wamp后打开其下的phpMyAdmin也就是路径http://localhost/phpmyadmin/ 出现 看里面的代码一下明白了 解决方法直接贴图如下:   代码如下: &lt;Dir ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MW18Kqz.html" rel="bookmark" class="title">MySQL函数&mdash;&mdash;MySQL系列（六）</a>
					<div>
						  1.函数 函数的可移植性不是很强,不同的DBMS有不同的函数 2.文本处理函数 函数 说明 Left() 返回串左边的字符 Length() 返回串的长度 Locate() 找出串的一个子串 Lo ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MRw6Qap.html" rel="bookmark" class="title">Win8系统切换多个屏幕的方法</a>
					<div>
						很多Win8系统用户在工作时经常会使用到第二屏幕,比如多屏幕显示或者使用投影仪功能等,使用传统的切换方式固然可行,不过需要花费的时间比较多,在这里小编将要为大家带来快速替换Win8第二屏幕的技巧,可以 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p8ZrD4b.html" rel="bookmark" class="title">PHP操作MySQL三日通第二天</a>
					<div>
						在这一课里,我们会做一些更复杂的工作,来显示多行记录的数据,数据库互相交换数据 一. while循环 在这一课里,我们将会继续深入下去,使用PHP和MySQL来写出一些简单而有用的页面.我们从昨天创建 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M9YjYgM.html" rel="bookmark" class="title">CPU双核补丁智能安装包 V3&period;0</a>
					<div>
						在普通的Windows XP(SP2)操作系统中,基于需求切换,系统会根据负载改变ACPI处理器的性能状态,比如处理器电压.工作频率等.Windows XP的处理器功耗管理会在对应的处理器上采用这样的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MW2PoAb.html" rel="bookmark" class="title">流程图-Activiti用Exclusive Gateway和不用Exclusive Gateway的区别</a>
					<div>
						问题描述 Activiti用Exclusive Gateway和不用Exclusive Gateway的区别 这是一组没有用Exclusive Gateway的流程图没有用Exclusive Gate ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M0QJ0mp.html" rel="bookmark" class="title">RSA原理及其在HTTPS协议中的应用</a>
					<div>
						在RSA公私钥体系中,存在满足以下关系的三个自然数e, d, n: 其中,n是两个大质数p, q的乘积,当n为2048-bit时,p, q均在1024-bit左右. 输入数字a的加密过程 将b还原为a ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M9Y6xdM.html" rel="bookmark" class="title">无须手动拼接 Android 4&period;2推新拍摄技术</a>
					<div>
						Photo Sphere技术 事实上,Photo Sphere技术使得用户更加随意地扫描被摄物体-它能够让用户向任意方向拍照.最终将多张照片无缝化地合成一张全景化的照片.如果您认为我们的解释不那么通俗 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MAAr9JM.html" rel="bookmark" class="title">网站推广的实质就是&OpenCurlyDoubleQuote;接二连三&rdquo;</a>
					<div>
						中介交易 http://www.aliyun.com/zixun/aggregation/6858.html&quot;&gt;SEO诊断 淘宝客 云主机 技术大厅 链接才是王道,你的内容够多了, 网 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bE4Edoz.html" rel="bookmark" class="title">phpcms v9升级后台无法上传缩略图的原因分析</a>
					<div>
						中介交易 http://www.aliyun.com/zixun/aggregation/6858.html&quot;&gt;SEO诊断 淘宝客 云主机 技术大厅 phpcms V9 是目前国内使用 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pkey8Eb.html" rel="bookmark" class="title">表单交互设计之&mdash;&mdash;校验思考</a>
					<div>
						你是否经常碰到在填写表单时,提交无数次却还是无法通过校验的情况:或者你是否在为不知道填写中哪里出现错误而抓狂:再或者你是否碰到过当你填写了一大堆信息,之后点击按钮提交时,校验报错的同时,你发现你所填写 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mq7oKOz.html" rel="bookmark" class="title">PhenMenu 标题问题</a>
					<div>
						问题描述 p=newPhenMenu('p');//alert(&quot;asds&quot;);p.add(0,-1,'热门网页,'','header','http://www.telerik.c ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zOJodQp.html" rel="bookmark" class="title">VcdRom 虚拟光驱驱动代码分析</a>
					<div>
						       VcdRom 是网上一个爱好者模拟微软虚拟驱动编写一个虚拟光驱程序,近日在研究虚拟磁盘驱动时,无意中看到了VcdRom的虚拟光驱的代码,不禁就开始研究了起来,希望以后能有用武之地.    ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5R3KBz.html" rel="bookmark" class="title">安防企业品牌建设 你忽略了哪些&quest;</a>
					<div>
						在自媒体盛行的当下,好的口碑可以让安防企业在品牌建设方面形成事半功倍的效果,尤其是微信营销,安防企业可以借助微信公众号进行品牌传播与服务. 在一个充满选择的消费者经济中,品牌扮演着重要的角色.品牌与单 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MyeRnJM.html" rel="bookmark" class="title">智能家居告别荒蛮：机会与挑战并存</a>
					<div>
						智能家居是万物互联的实例化产物,也是下一轮信息技术革新的领潮之一.据调研机构Research and Markets报告显示,未来五年全球智能家居市场将以每年8%~10%速度增长,到2018年整个规模 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MW7WAnM.html" rel="bookmark" class="title">JavaScript的代码编写格式规范指南&lowbar;基础知识</a>
					<div>
						对于熟悉 C/C++ 或 Java 语言的工程师来说,JavaScript 显得灵活,简单易懂,对代码的格式的要求也相对松散.很容易学习,并运用到自己的代码中.也正因为这样,JavaScript 的编 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mr2DojM.html" rel="bookmark" class="title">java实现京东登陆示例分享&lowbar;java</a>
					<div>
						复制代码 代码如下: package com.lkb.test; import java.util.ArrayList;import java.util.HashMap;import java.uti ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MNvkOJM.html" rel="bookmark" class="title">如何设置才能远程登录Mysql数据库&lowbar;Mysql</a>
					<div>
						可以在一台机器上访问另一台机器的MySQL,但是需要一些设置. 进入MySQL后,输入以下命令: GRANT ALL PRIVILEGES ON *.* TO 'tigase'@'%' IDENTIF ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pXKZyQM.html" rel="bookmark" class="title">ADO使用SELECT语法二</a>
					<div>
						接上一篇文章:WHERE可以使用下面的BETWEEN.LIKE.IN运算子.Between...AndBetween...And判断表达式的值是否落在指定的范围之中.语法为:expr Between  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bj8rG0p.html" rel="bookmark" class="title">as定义键盘按键动作</a>
					<div>
						/** * 键盘控制类 * 把键盘按键动作格式化,一般用于游戏.作者:飞雨影 * 用法:Control.initStage(stage),初始化舞台;Control.addListener(funct ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MxEGk0p.html" rel="bookmark" class="title">新和成</a>
					<div>
						中报预告:2010年一季度,公司主导产品的市场情况基本恢复,与2009年同期相比销售数量大幅增长.公司预计2010年1-6月归属于上市公司股东的净利润比上年同期增长30-60%(2009年1-6月净利 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pk0985z.html" rel="bookmark" class="title">C&num; &period;NET &plus; SQL SERVER 工程师深圳工作调查</a>
					<div>
						问题描述 1.基于微软.NET平台开发B/S应用产品.2.参与项目开发,为定制客户提供产品的二次开发.1.男性,35岁以下,大专以上学历,计算机或相关专业毕业,2.年以上B/S开发经验或完成参与过中型 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/baqoNPb.html" rel="bookmark" class="title">联想将在CES发布移动互联网战略</a>
					<div>
						12月31日消息,联想集团将在明年1月的CES上正式宣布其移动互联网战略,并发布智能本与Android手机等多款移动终端产品. 除了之前公布将会推出的两款最新型号的IdeaPad上网本外,消息人士向新 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.030 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
